<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
<link href="objetos.css" rel="stylesheet" type="text/css">
<script src="o1.js"></script>
</head>

<body>
<div class="cajas entrada">
<pre>
	const Animal=function(){
		// propiedad no estatica
		this.peso=0;
		
		//propiedad estatica
		Animal.pelo="si";
	
		// metodo no estatico
		this.comer=function(){
			console.log("ÑAN");
		};
		
		//metodo estatico
		Animal.estatico=function(){
			console.log("esto es un elemento de la clase");
		};
	};
	
	const leon=new Animal();
	
	/* Produce error ya que es un metodo de la clase y no del objeto 
	leon.estatico();
	*/
	
	Animal.estatico();
	console.log(Animal.pelo);
	/* Esto esta vacio porque es un elemento de la clase y no del objeto
	console.log(leon.pelo);
	*/
</pre>
</div>
<div class="cajas salida" >
<div class="titulo">
Ejercicio 1
</div>
<div class="explicacion">
Vamos a ver como crear metodos estaticos en Javascript (no existen pero los podemos inventar).
</div>
</div>
</body>
</html>
